EEPGET(1)

NOM
Eepget - Programme de téléchargement d’I2P

SYNOPSIS
eepget [options]URL

DESCRIPTION

Télécharger un fichier de façon non interactive par HTTP. Les transferts sont pris en charge à la fois par I2P et l’Internet ordinaire.

Eepget peut faire face à des connexions réseau lentes ou instables ; si un téléchargement ne réussit pas à cause d’un problème de réseau, il ressayera jusqu’à ce que le fichier entier soit téléchargé (si l’option -n est définie). S’il cela est pris en charge par le serveur distant, Eepget demandera au serveur de continuer le téléchargement à partir du point d’interruption.

OPTIONS
-c

Réseau visible. N’utilise aucun mandataire. Identique à -p :0 .

-e etag

Définit la valeur etag dans les en-têtes des demandes.

-h nom=valeur

Ajoute un en-tête de requête arbitraire avec les nom et valeur donnés.

-l lineLen

Contrôle l’affichage de la progression.  lineLen  est la longueur en caractères d’une ligne de progression. La valeur par défaut est 40.

-m markSize

Contrôle l’affichage de la progression.  markSize  est le nombre d’octets qu’un caractère '#' représente. La valeur par défaut est 1024.

-n relances

Indiquer le nombre de relances du téléchargement si le téléchargement ne réussit pas. Si cette option n’est pas précisée, Eepget ne ressayera pas.

-o fichier

Définit le fichier de sortie vers lequel écrire. Si cette option n’est pas renseignée, le nom du fichier de sortie sera déterminé par l’URL.

-p mandataire_hôte[:port]

Spécifier un serveur mandataire d’I2P (eeproxy) à utiliser. Si le port n’est pas indiqué, eepget utilisera 4444. Si cette option n’est pas indiquée, eepget utilisera 127.0.0.1:444. Indiquer -c ou -p :0 pour désactiver le mandataire eeproxy.

-t secondes

Définit la temporisation d’inactivité, 60 secondes par défaut.

-u nomd’utilisateur

Définit le nom d’utilisateur pour l’autorisation du mandataire, si requise.

-x motdepasse

Définit le mot de passe pour l’autorisation du mandataire, si requise. Si un nom d’utilisateur est indiqué, mais pas un mot de passe, EepGet demandera le mot de passe.

ÉTAT DE SORTIE
eepget quitte avec un état zéro si le transfert est réussi et différent de zéro s’il y a eu des problèmes de téléchargement.

SIGNALER DES BOGUES
Veuillez créer un billet sur la page Trac d’I2P (https://trac.i2p2.de/).

VOIR AUSSI
i2prouter(1) curl(1) wget(1)